Bug 137970 - udev reboots system after 1st reboot of system after install
udev reboots system after 1st reboot of system after install
Status: CLOSED NOTABUG
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
3
x86_64 Linux
medium Severity medium
: ---
: ---
Assigned To: Dave Jones
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2004-11-03 10:05 EST by Malcolm Amir Hussain-Gambles
Modified: 2015-01-04 17:11 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-11-05 04:18:36 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Malcolm Amir Hussain-Gambles 2004-11-03 10:05:21 EST
Description of problem:
udev reboots machine after 1st reboot and then reboots every time

Version-Release number of selected component (if applicable):
0.39-6

How reproducible:
Always, on sunfire v20z

Steps to Reproduce:
1. Install FC3 test 3 (or straigt from rawhide)
2. reboot
3.
  
Actual results:
after udev initalises storage the system reboots

Expected results:
system boots!

Additional info:

on x86 this seems to work fine, have this working on a dual
processor athlon and a single processor celeon.
But on the v20z (dual opteron) it fails to reboot and cycles the reboot.
Is there a boot parameter to disable udev, or is editing
/etc/sysconfig/udev the only way?

Thanks

Malcolm
Comment 1 Harald Hoyer 2004-11-03 10:34:10 EST
is this "Starting udev..." or is this "Initializing hardware... "??
Comment 2 Malcolm Amir Hussain-Gambles 2004-11-03 10:42:36 EST
this is hanging on the network check.
Comment 3 Malcolm Amir Hussain-Gambles 2004-11-03 10:44:57 EST
Initializing Hardware....

Storage works ok
network reboots before network message

commented this part out of rc.sysinit and it boots, but
reboots on checking for new hardware
Comment 4 Malcolm Amir Hussain-Gambles 2004-11-03 10:57:36 EST
problem appears to be with network cards, removed kudzu from startup
and it boots OK.
This seems to suggest a problem with the probing on the network cards,
is it going to be a kernel problem?
Comment 5 Harald Hoyer 2004-11-03 11:10:57 EST
reassigning to kudzu
Comment 6 Malcolm Amir Hussain-Gambles 2004-11-03 11:27:40 EST
this also hangs on udev too, so is it a problem with that too?
as removing the network part of udev initialisation works ok.
Here is a list of the hardware from lspci...
00:06.0 PCI bridge: Advanced Micro Devices [AMD] AMD-8111 PCI (rev 07)
00:07.0 ISA bridge: Advanced Micro Devices [AMD] AMD-8111 LPC (rev 05)
00:07.1 IDE interface: Advanced Micro Devices [AMD] AMD-8111 IDE (rev 03)
00:07.3 Bridge: Advanced Micro Devices [AMD] AMD-8111 ACPI (rev 05)
00:0a.0 PCI bridge: Advanced Micro Devices [AMD] AMD-8131 PCI-X Bridge
(rev 12)
00:0a.1 PIC: Advanced Micro Devices [AMD] AMD-8131 PCI-X APIC (rev 01)
00:0b.0 PCI bridge: Advanced Micro Devices [AMD] AMD-8131 PCI-X Bridge
(rev 12)
00:0b.1 PIC: Advanced Micro Devices [AMD] AMD-8131 PCI-X APIC (rev 01)
00:18.0 Host bridge: Advanced Micro Devices [AMD] K8
[Athlon64/Opteron] HyperTransport Technology Configuration
00:18.1 Host bridge: Advanced Micro Devices [AMD] K8
[Athlon64/Opteron] Address Map
00:18.2 Host bridge: Advanced Micro Devices [AMD] K8
[Athlon64/Opteron] DRAM Controller
00:18.3 Host bridge: Advanced Micro Devices [AMD] K8
[Athlon64/Opteron] Miscellaneous Control
00:19.0 Host bridge: Advanced Micro Devices [AMD] K8
[Athlon64/Opteron] HyperTransport Technology Configuration
00:19.1 Host bridge: Advanced Micro Devices [AMD] K8
[Athlon64/Opteron] Address Map
00:19.2 Host bridge: Advanced Micro Devices [AMD] K8
[Athlon64/Opteron] DRAM Controller
00:19.3 Host bridge: Advanced Micro Devices [AMD] K8
[Athlon64/Opteron] Miscellaneous Control
01:00.0 USB Controller: Advanced Micro Devices [AMD] AMD-8111 USB (rev 0b)
01:00.1 USB Controller: Advanced Micro Devices [AMD] AMD-8111 USB (rev 0b)
01:05.0 VGA compatible controller: Trident Microsystems Blade 3D
PCI/AGP (rev 3a)
02:02.0 Ethernet controller: Broadcom Corporation NetXtreme BCM5703X
Gigabit Ethernet (rev 02)
02:03.0 Ethernet controller: Broadcom Corporation NetXtreme BCM5703X
Gigabit Ethernet (rev 02)
02:04.0 SCSI storage controller: LSI Logic / Symbios Logic 53c1030
PCI-X Fusion-MPT Dual Ultra320 SCSI (rev 08)
03:01.0 PCI bridge: IBM PCI-X to PCI-X Bridge (rev 02)
04:04.0 Ethernet controller: Intel Corp. 82546EB Gigabit Ethernet
Controller (rev 01)
04:04.1 Ethernet controller: Intel Corp. 82546EB Gigabit Ethernet
Controller (rev 01)
04:06.0 Ethernet controller: Intel Corp. 82546EB Gigabit Ethernet
Controller (rev 01)
04:06.1 Ethernet controller: Intel Corp. 82546EB Gigabit Ethernet
Controller (rev 01)
Comment 7 Malcolm Amir Hussain-Gambles 2004-11-03 11:28:27 EST
And lsmod output...
Module                  Size  Used by
md5                     5697  1 
ipv6                  279969  14 
button                  9057  0 
battery                11209  0 
ac                      6729  0 
ohci_hcd               24273  0 
hw_random               7137  0 
tg3                    85573  0 
floppy                 65809  0 
dm_snapshot            18561  0 
dm_zero                 3649  0 
dm_mirror              24401  2 
ext3                  136913  2 
jbd                    68721  1 ext3
dm_mod                 64001  6 dm_snapshot,dm_zero,dm_mirror
mptscsih               37873  0 
mptbase                50785  1 mptscsih
sd_mod                 19265  5 
scsi_mod              135617  2 mptscsih,sd_mod
Comment 8 Malcolm Amir Hussain-Gambles 2004-11-03 11:31:17 EST
this install had to be done using noprobe too
Comment 9 Bill Nottingham 2004-11-03 11:37:38 EST
Assigning to kernel. Apparently loading some driver for your machine
causes a reboot.
Comment 10 Malcolm Amir Hussain-Gambles 2004-11-03 11:51:06 EST
the problem appears to be on the intel quad card, running mii-tool
hangs the system, after scanning the two onboard network cards,
investigating to rule out hardware fault.
messages shows the probes, eth0 and eth1 are the onboard and eth2,3,4
and 5 are the intel quad card.
modprobe e1000, causes a reboot after about 3 seconds
Nov  3 16:46:47 fw3-1 kernel: e1000: Ignoring new-style parameters in
presence of obsolete ones
Nov  3 16:46:47 fw3-1 kernel: Intel(R) PRO/1000 Network Driver -
version 5.3.19-k2-NAPI
Nov  3 16:46:47 fw3-1 kernel: Copyright (c) 1999-2004 Intel Corporation.
Nov  3 16:46:47 fw3-1 kernel: ACPI: PCI interrupt 0000:04:04.0[A] ->
GSI 28 (level, low) -> IRQ 209
Nov  3 16:46:48 fw3-1 kernel: e1000: eth2: e1000_probe: Intel(R)
PRO/1000 Network Connection
Nov  3 16:46:48 fw3-1 kernel: ACPI: PCI interrupt 0000:04:04.1[B] ->
GSI 29 (level, low) -> IRQ 217
Nov  3 16:46:48 fw3-1 kernel: e1000: eth3: e1000_probe: Intel(R)
PRO/1000 Network Connection
Nov  3 16:46:48 fw3-1 kernel: ACPI: PCI interrupt 0000:04:06.0[A] ->
GSI 30 (level, low) -> IRQ 225
Nov  3 16:46:48 fw3-1 kernel: e1000: eth4: e1000_probe: Intel(R)
PRO/1000 Network Connection
Comment 11 Malcolm Amir Hussain-Gambles 2004-11-03 12:07:01 EST
modprobe of e1000 causes hang after about 3 seconds /var/log/messages...
Nov  3 16:55:54 fw3-1 kernel: e1000: Ignoring new-style parameters in
presence of obsolete ones
Nov  3 16:55:54 fw3-1 kernel: Intel(R) PRO/1000 Network Driver -
version 5.3.19-k2-NAPI
Nov  3 16:55:54 fw3-1 kernel: Copyright (c) 1999-2004 Intel Corporation.
Nov  3 16:55:54 fw3-1 kernel: ACPI: PCI interrupt 0000:04:04.0[A] ->
GSI 28 (level, low) -> IRQ 209
Nov  3 16:55:54 fw3-1 kernel: e1000: eth2: e1000_probe: Intel(R)
PRO/1000 Network Connection
Nov  3 16:55:54 fw3-1 kernel: ACPI: PCI interrupt 0000:04:04.1[B] ->
GSI 29 (level, low) -> IRQ 217
Nov  3 16:55:54 fw3-1 kernel: e1000: eth3: e1000_probe: Intel(R)
PRO/1000 Network Connection
Nov  3 16:55:54 fw3-1 kernel: ACPI: PCI interrupt 0000:04:06.0[A] ->
GSI 30 (level, low) -> IRQ 225
Nov  3 16:55:54 fw3-1 kernel: e1000: eth4: e1000_probe: Intel(R)
PRO/1000 Network Connection
Nov  3 16:55:54 fw3-1 kernel: ACPI: PCI interrupt 0000:04:06.1[B] ->
GSI 31 (level, low) -> IRQ 233
Nov  3 16:55:55 fw3-1 kernel: e1000: eth5: e1000_probe: Intel(R)
PRO/1000 Network Connection
Comment 12 Malcolm Amir Hussain-Gambles 2004-11-05 04:18:36 EST
Hardware fault!
This happened on two machines, one was a mis-seated card, now works
fine. the other is a broken card!
At least I can rely on you guys, if not other hardware suppliers.

Cheers

Malcolm

Note You need to log in before you can comment on or make changes to this bug.